namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter07.Listing07_12
{
    public class Controller
    {
        public void Start()
        {
            // Kod krytyczny
        }
        public virtual void Run()
        {
            Start();
            Stop();
        }
        public void Stop()
        {
            // Kod krytyczny
        }
    }
}
